# Uses of Class
org.opensaml.profile.context.ProxiedRequesterContext

Packages that use ProxiedRequesterContext
Package
Description
org.opensaml.saml.saml2.binding.impl
General message handlers for SAML 2.0.

## Uses of ProxiedRequesterContext in org.opensaml.saml.saml2.binding.impl

Fields in org.opensaml.saml.saml2.binding.impl with type parameters of type ProxiedRequesterContext
Modifier and Type
Field
Description
`private Function<MessageContext,ProxiedRequesterContext>`
ExtractProxiedRequestersHandler.`proxiedContextCreationStrategy`
Strategy for creating `ProxiedRequesterContext`.
Method parameters in org.opensaml.saml.saml2.binding.impl with type arguments of type ProxiedRequesterContext
Modifier and Type
Method
Description
`void`
ExtractProxiedRequestersHandler.`setProxiedRequesterContextCreationStrategy(Function<MessageContext,ProxiedRequesterContext> strategy)`
Set the strategy for creating `ProxiedRequesterContext`.